Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.addsequence
Class AddSequenceMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.addsequence.AddSequenceMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class AddSequenceMeta

extends BaseStepMeta
implements StepMetaInterface

Meta data for the Add Sequence step. Created on 13-may-2003

Constructor Summary
`AddSequenceMeta()`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `getCounterName()`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabase()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface row, String name, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`String` | `getIncrementBy()`
`String` | `getMaxValue()`
`String` | `getSchemaName()`
`String` | `getSequenceName()`
`org.pentaho.di.core.SQLStatement` | `getSQLStatements(TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev)` Standard method to return one or more SQLStatement objects that the step needs in order to work correctly.
`String` | `getStartAt()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`org.pentaho.di.core.database.DatabaseMeta[]` | `getUsedDatabaseConnections()` This method returns all the database connections that are used by the step.
`String` | `getValuename()`
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isCounterUsed()`
`boolean` | `isDatabaseUsed()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setCounterName(String counterName)`
`void` | `setDatabase(org.pentaho.di.core.database.DatabaseMeta connection)`
`void` | `setDefault()` Set default values
`void` | `setIncrementBy(long incrementBy)`
`void` | `setIncrementBy(String incrementBy)`
`void` | `setMaxValue(long maxValue)`
`void` | `setMaxValue(String maxValue)`
`void` | `setSchemaName(String schemaName)`
`void` | `setSequenceName(String sequenceName)`
`void` | `setStartAt(long startAt)`
`void` | `setStartAt(String startAt)`
`void` | `setUseCounter(boolean useCounter)`
`void` | `setUseDatabase(boolean useDatabase)`
`void` | `setValuename(String valuename)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getTableFields, getTargetSteps, getUsedArguments, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getTableFields, getTargetSteps, getUsedArguments, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps, supportsErrorHandling`

Constructor Detail

### AddSequenceMeta

    public AddSequenceMeta()

Method Detail

### getDatabase

    public org.pentaho.di.core.database.DatabaseMeta getDatabase()

  Returns:
    Returns the connection.

### setDatabase

    public void setDatabase(org.pentaho.di.core.database.DatabaseMeta connection)

  Parameters:
    `connection` - The connection to set.

### getIncrementBy

    public String getIncrementBy()

  Returns:
    Returns the incrementBy.

### setIncrementBy

    public void setIncrementBy(String incrementBy)

  Parameters:
    `incrementBy` - The incrementBy to set.

### getMaxValue

    public String getMaxValue()

  Returns:
    Returns the maxValue.

### setMaxValue

    public void setMaxValue(String maxValue)

  Parameters:
    `maxValue` - The maxValue to set.

### getSequenceName

    public String getSequenceName()

  Returns:
    Returns the sequenceName.

### setSequenceName

    public void setSequenceName(String sequenceName)

  Parameters:
    `sequenceName` - The sequenceName to set.

### setMaxValue

    public void setMaxValue(long maxValue)

  Parameters:
    `maxValue` - The maxValue to set.

### setStartAt

    public void setStartAt(long startAt)

  Parameters:
    `startAt` - The starting point of the sequence to set.

### setIncrementBy

    public void setIncrementBy(long incrementBy)

  Parameters:
    `incrementBy` - The incrementBy to set.

### getStartAt

    public String getStartAt()

  Returns:
    Returns the start of the sequence.

### setStartAt

    public void setStartAt(String startAt)

  Parameters:
    `startAt` - The starting point of the sequence to set.

### isCounterUsed

    public boolean isCounterUsed()

  Returns:
    Returns the useCounter.

### setUseCounter

    public void setUseCounter(boolean useCounter)

  Parameters:
    `useCounter` - The useCounter to set.

### isDatabaseUsed

    public boolean isDatabaseUsed()

  Returns:
    Returns the useDatabase.

### setUseDatabase

    public void setUseDatabase(boolean useDatabase)

  Parameters:
    `useDatabase` - The useDatabase to set.

### getValuename

    public String getValuename()

  Returns:
    Returns the valuename.

### setValuename

    public void setValuename(String valuename)

  Parameters:
    `valuename` - The valuename to set.

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface row,
                          String name,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `row` - The fields that are entering the step. These are changed to reflect the output metadata.
    `name` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getSQLStatements

    public org.pentaho.di.core.SQLStatement getSQLStatements(TransMeta transMeta,
                                                             StepMeta stepMeta,
                                                             org.pentaho.di.core.row.RowMetaInterface prev)

  Description copied from class: `BaseStepMeta`
  Standard method to return one or more SQLStatement objects that the step needs in order to work correctly. This can mean "create table", "create index" statements but also "alter table ... add/drop/modify" statements.

  Specified by:
    `getSQLStatements` in interface `StepMetaInterface`
  Overrides:
    `getSQLStatements` in class `BaseStepMeta`
  Parameters:
    `transMeta` - TransInfo object containing the complete transformation
    `stepMeta` - StepMeta object containing the complete step
    `prev` - Row containing meta-data for the input fields (no data)
  Returns:
    The SQL Statements for this step or null if an error occurred. If nothing has to be done, the SQLStatement.getSQL() == null.

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getUsedDatabaseConnections

    public org.pentaho.di.core.database.DatabaseMeta[] getUsedDatabaseConnections()

  Description copied from class: `BaseStepMeta`
  This method returns all the database connections that are used by the step.

  Specified by:
    `getUsedDatabaseConnections` in interface `StepMetaInterface`
  Overrides:
    `getUsedDatabaseConnections` in class `BaseStepMeta`
  Returns:
    an array of database connections meta-data. Return an empty array if no connections are used.

### getCounterName

    public String getCounterName()

  Returns:
    the counterName

### setCounterName

    public void setCounterName(String counterName)

  Parameters:
    `counterName` - the counterName to set

### getSchemaName

    public String getSchemaName()

  Returns:
    the schemaName

### setSchemaName

    public void setSchemaName(String schemaName)

  Parameters:
    `schemaName` - the schemaName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD